---
search:
  tags:
    - Ratings
    - GET
seo:
  description: >-
    Lists calibrated players for one rating category and scope, highest rating
    first.… Reference for the GET /ratings endpoint in the dartpilot Public API.
sidebar:
  label: Get the rating ladder
  badge: GET
title: Get the rating ladder
type: openapi-operation
---
Lists calibrated players for one rating category and scope, highest rating first. Uncalibrated players are excluded. Defaults to `gameType=x01` and `scope=online`.

`GET /ratings`

**Responses**

- `200` — The rating ladder.
- `400` — Invalid request.
- `401` — Missing or invalid API key.
- `403` — The API key is missing a required scope or is the wrong type for this endpoint.
- `404` — Entity not found.
- `429` — Rate limit exceeded. See the \`Retry-After\` header.
- `500` — Internal server error.

Response example, 200:

```json
{
  "gameType": "x01",
  "scope": "local",
  "entries": [
    {
      "rank": 1,
      "userId": "string",
      "displayName": "string",
      "image": "string",
      "gameType": "x01",
      "scope": "local",
      "ranked": true,
      "rating": 0,
      "division": {
        "tier": "bronze",
        "division": 1,
        "label": "string"
      },
      "gamesPlayed": 0,
      "calibrationGames": 1,
      "lastRatedAt": "string",
      "seeded": true
    }
  ]
}
```
